# Class CIM_ReplacementSet
extends CIM_Collection

The ReplacementSet class aggregates PhysicalElements that must be 'replaced' or 'FRUed' together. For example, when replacing a memory card, the component memory chips could be removed and replaced as well. Or, a set of memory chips may be specified to be replaced or upgraded together using this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Collection
|
+--CIM_ReplacementSet

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The ReplacementSet class aggregates PhysicalElements that must be 'replaced' or 'FRUed' together. For example, when replacing a memory card, the component memory chips could be removed and replaced as well. Or, a set of memory chips may be specified to be replaced or upgraded together using this association.
UMLPackagePath | string | CIM::Physical::Misc
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Name | string |
Description | string | Name is a free-form string defining a label for the ReplacementSet. It is the key for the object.
Key | boolean | true
MaxLen | uint32 | 256

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods